'use strict';

module.exports = (store) => {

  if (store.definitions.fixture) {
    return store.definitions.fixture;
  }
  const Fixture = store.defineResource({
    name: 'fixture',
    table: 'fixtures',
    endpoint: 'fixtures',
    relations: {},
    defaultValues: {
      id: undefined
    }
  });
  return Fixture;
};
